import oscP5.*;  
import netP5.*;

OscP5 oscP5;
NetAddress myRemoteLocation;

void setup() {
  size(300, 300);
  oscP5 = new OscP5(this, 8000);
  myRemoteLocation = new NetAddress("127.0.0.1", 5000);
}

void draw() {
  String address = "/MyLayer/currentMedia/fullText";
  OscMessage newMessage = new OscMessage(address);  
  newMessage.add("mouse X = "+mouseX); 
  oscP5.send(newMessage, myRemoteLocation);
}
